Subject: Re: [PATCH] Remove duplication in t9119-git-svn-info.sh

From: Junio C Hamano <[email-masked]>
Date: Wed, 02 Jan 2008 02:27:24 -0800

Eric Wong <[email-masked]> writes:

> Nevertheless, does your change make things work with older
> versions of SVN?  I'm running 1.4.x everywhere these days, but
> I seem to recall the version of SVN on kernel.org was giving
> Junio trouble with the tests.

Ahh, you are right.  Here is what I am getting.

$ sh t9119-git-svn-info.sh -i -v
* expecting success: 
	mkdir info &&
	cd info &&
		echo FIRST > A &&
		echo one > file &&
		ln -s file symlink-file &&
		mkdir directory &&
		touch directory/.placeholder &&
		ln -s directory symlink-directory &&
		svn import -m 'initial' . file:///home/junio/git/t/trash/svnrepo &&
	cd .. &&
	mkdir gitwc &&
	cd gitwc &&
		git-svn init file:///home/junio/git/t/trash/svnrepo &&
		git-svn fetch &&
	cd .. &&
	svn co file:///home/junio/git/t/trash/svnrepo svnwc &&
	ptouch file &&
	ptouch directory &&
	ptouch symlink-file &&
	ptouch symlink-directory
	
Adding         file
Adding         A
Adding         symlink-file
Adding         directory
Adding         directory/.placeholder
Adding         symlink-directory

Committed revision 1.
Initialized empty Git repository in .git/
	A	file
	A	A
	A	symlink-file
	A	directory/.placeholder
	A	symlink-directory
r1 = 153bc4aeb5ed1375deb17b3611c1d2177ff2e5a4 (git-svn)
Checked out HEAD:
  file:///home/junio/git/t/trash/svnrepo r1
A    svnwc/file
A    svnwc/A
A    svnwc/symlink-file
A    svnwc/directory
A    svnwc/directory/.placeholder
A    svnwc/symlink-directory
Checked out revision 1.
*   ok 1: setup repository and import

* expecting success: 
	(cd svnwc; svn info) > expected.info &&
	(cd gitwc; git-svn info) > actual.info &&
	git-diff expected.info actual.info
	
*   ok 2: info

* expecting success: 
	test $(cd gitwc; git-svn info --url) = $svnrepo
	
*   ok 3: info --url

* expecting success: 
	(cd svnwc; svn info .) > expected.info-dot &&
	(cd gitwc; git-svn info .) > actual.info-dot &&
	git-diff expected.info-dot actual.info-dot
	
*   ok 4: info .

* expecting success: 
	test $(cd gitwc; git-svn info --url .) = $svnrepo
	
*   ok 5: info --url .

* expecting success: 
	(cd svnwc; svn info file) > expected.info-file &&
	(cd gitwc; git-svn info file) > actual.info-file &&
	git-diff expected.info-file actual.info-file
	
diff --git a/expected.info-file b/actual.info-file
index 23b45e2..e7f3924 100644
--- a/expected.info-file
+++ b/actual.info-file
@@ -10,6 +10,5 @@ Last Changed Author: junio
 Last Changed Rev: 1
 Last Changed Date: 2008-01-02 10:25:19 +0000 (Wed, 02 Jan 2008)
 Text Last Updated: 2008-01-02 10:25:20 +0000 (Wed, 02 Jan 2008)
-Properties Last Updated: 2008-01-02 10:25:20 +0000 (Wed, 02 Jan 2008)
 Checksum: 5bbf5a52328e7439ae6e719dfe712200
 
* FAIL 6: info file
	
		(cd svnwc; svn info file) > expected.info-file &&
		(cd gitwc; git-svn info file) > actual.info-file &&
		git-diff expected.info-file actual.info-file